#
# Rebuild option:
#
#   --with testsuite         - run the test suite (requires network)
#

Name:           perl-WWW-Bugzilla
Version:        1.5
Release:        12%{?dist}
Summary:        Handles submission/update of bugzilla bugs via WWW::Mechanize

License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/WWW-Bugzilla/
Source0:        http://www.cpan.org/authors/id/B/BM/BMC/WWW-Bugzilla-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl(Class::MethodMaker) >= 1.08
BuildRequires:  perl(WWW::Mechanize) >= 1.22
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Crypt::SSLeay)
BuildRequires:  perl(Params::Validate)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(Class::MethodMaker) >= 1.08

%{?perl_default_filter}

%description
This module provides a perl API for adding and updating Bugzilla bugs.
It can be useful in writing custom frontends to a Bugzilla server, and
the frontends do not have to sit on the same server as long as they
can reach it via HTTP.


%prep
%setup -q -n WWW-Bugzilla-%{version}
mkdir lib
cp -r WWW lib


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}


%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
chmod -R u+w $RPM_BUILD_ROOT/*


%check
%{?_with_testsuite:make test}


%files
%doc Changes README
%license ARTISTIC GPL
%{perl_vendorlib}/WWW/
%{_mandir}/man3/*.3pm*


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Nov 25 2015 Emmanuel Seyman <emmanuel@seyman.fr> - 1.5-11
- Use NO_PACKLIST=1 when creating Makefile
- Use %%license macro

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.5-9
- Perl 5.22 rebuild

* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.5-8
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Petr Pisar <ppisar@redhat.com> - 1.5-6
- Perl 5.18 rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 25 2012 Petr Pisar <ppisar@redhat.com> - 1.5-2
- Perl 5.16 rebuild

* Tue May 08 2012 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> - 1.5-1
- Update to 1.5
- Clean up spec file
- Add perl default filter

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 0.9-9
- Perl mass rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 23 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.9-7
- 661697 rebuild for fixing problems with vendorach/lib

* Fri May 07 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.9-6
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.9-5
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.9-2.1
Rebuild for new perl

* Wed Oct 17 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 0.9-1.1
- correct license tag
- add BR: perl(ExtUtils::MakeMaker)

* Sat Apr 21 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.9-1
- Update to 0.9.

* Mon Jun 19 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.8-1
- Update to 0.8.
- Red Hat's bugzilla logins are now working
  (http://rt.cpan.org/Public/Bug/Display.html?id=19819).

* Sun Jun 11 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.7-1
- Update to 0.7.
- SSL logins are now working
  (http://rt.cpan.org/Public/Bug/Display.html?id=13262).

* Sat Jun 10 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.6-1
- First build.
